# APPLICATION CONFIGURATION
application.brand=@brand@
application.name=@name@
application.version=@version@

default.language.country=@default.language.country@
default.language.lang=@default.language.lang@

default.timezone.country=@default.timezone.country@
default.timezone.lang=@default.timezone.lang@

endpoints.jmx.domain=@artifactId@_@contextPath@
endpoints.jmx.unique-names=true

entity.base.packages=@entity.base.packages@

environment=@environment@

jdbc.connection.autoCommit=@jdbc.connection.autoCommit@
jdbc.connection.databasePlatform=@jdbc.connection.databasePlatform@
jdbc.connection.defaultCatalog=@jdbc.connection.defaultCatalog@
jdbc.connection.driverClassName=@jdbc.connection.driverClassName@
jdbc.connection.jndi=@jdbc.connection.jndi@
jdbc.connection.login.timeout=@jdbc.connection.login.timeout@
jdbc.connection.password=@jdbc.connection.password@
jdbc.connection.pool.allow.suspension=@jdbc.connection.pool.allow.suspension@
jdbc.connection.pool.idleTimeout=@jdbc.connection.pool.idleTimeout@
jdbc.connection.pool.initialization.fail.timeout=@jdbc.connection.pool.initialization.fail.timeout@
jdbc.connection.pool.maxLifeTime=@jdbc.connection.pool.maxLifeTime@
jdbc.connection.pool.maxPoolSize=@jdbc.connection.pool.maxPoolSize@
jdbc.connection.pool.minIdle=@jdbc.connection.pool.minIdle@
jdbc.connection.pool.name=@jdbc.connection.pool.name@
jdbc.connection.showSql=@jdbc.connection.showSql@
jdbc.connection.timeout=@jdbc.connection.timeout@
jdbc.connection.url=@jdbc.connection.url@
jdbc.connection.username=@jdbc.connection.username@
jdbc.connection.validationQuery=@jdbc.connection.validationQuery@
jdbc.connection.validationQueryTimeout=@jdbc.connection.validationQueryTimeout@

kiss.interceptors=commonInterceptor,authenticatedUserInterceptor

spring.jackson.serialization.FAIL_ON_EMPTY_BEANS=false

spring.jmx.default-domain=@artifactId@_@contextPath@

spring.messages.basename=@spring.messages.basename@
spring.messages.cache-duration=@spring.messages.cache-duration@
spring.messages.encoding=@spring.messages.encoding@

spring.mvc.ignore-default-model-on-redirect=true

server.port=@server.port@

spring.resources.cache.period=@spring.resources.cache-period@

server.servlet.context-path=@server.contextPath@

spring.servlet.multipart.max-file-size=-1
spring.servlet.multipart.max-request-size=-1

server.servlet.session.timeout=-1

spring.thymeleaf.cache=@spring.thymeleaf.cache@
spring.thymeleaf.prefix=@spring.thymeleaf.prefix@

thread.pool.corePoolSize=@thread.pool.corePoolSize@
thread.pool.maxPoolSize=@thread.pool.maxPoolSize@

user.session.timeout=@user.session.timeout@

# SCHEDULER CRON EXPRESSION
scheduler.cron.expression.send-payment=@scheduler.cron.expression.send-payment@
scheduler.cron.expression.check-transfer=@scheduler.cron.expression.check-transfer@

# PATHS
upload.file.path=@upload.file.path@